#include <bits/stdc++.h>

using namespace std;

bool f(long long n,long long p,long long q,long long r)
{
    long long suma=n/p+n/q+n/r;
    long long h1;
    h1=n/p;
    if(h1*p!=n) suma++;
    h1=n/q;
    if(h1*q!=n) suma++;
    h1=n/r;
    if(h1*r!=n) suma++;
    return suma <= n;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long p,q,r,a,b;
    cin >> p; cin.ignore();
    cin >> q; cin.ignore();
    cin >> r; cin.ignore();
    cin >> a; cin.ignore();
    cin >> b; cin.ignore();
    long long n = 1 + (3*p*q*r)/(p*q*r-p*q-p*r-q*r);
    long long sum=0;
    if(n<=a) {cout << b-a+1;return 0;}
    if(n<=b) {sum=sum+b-n;b=n;}
    for(int i=a;i<=b;i++)
        if(f(i,p,q,r)) sum++;
    cout << sum;
    return 0;
}